<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="4.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:fn="http://www.w3.org/2005/xpath-functions"
  xmlns:map="http://www.w3.org/2005/xpath-functions/map"
  xmlns:math="http://www.w3.org/2005/xpath-functions/math"
  xmlns:array="http://www.w3.org/2005/xpath-functions/array"
  xmlns:tm="http://www.datenverdrahten.de/tm"
  xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="#all"
  expand-text="yes">

  <!-- by T. Meinike 11/22 -->

  <xsl:output method="xml" version="1.0" html-version="5" encoding="UTF-8"
    indent="yes" include-content-type="no" omit-xml-declaration="yes"/>

  <xsl:template name="xsl:initial-template">

    <xsl:text disable-output-escaping="yes">&lt;!DOCTYPE html>&#xA;</xsl:text>
    <html lang="de">
      <head>
        <meta charset="UTF-8"/>
        <title>xsl:if</title>
        <style>* {{ font-family: sans-serif; }} figure {{ margin: 0; }}</style>
      </head>
      <body>
        <h1>xsl:if</h1>

        <xsl:variable name="tag" select="fn:format-date(fn:current-date(), '[F]')"/>
        <p>{$tag} | <xsl:if test="$tag = 'Mittwoch'" then="23" else="42"/></p>
        <!-- auch nutzbar als Rückgabewert in einer xsl:function -->

        <figure>
          <img src="SAXON_{if(fn:current-time() ge xs:time('18:00:00'))
            then 'Gin' else 'Water'}.jpg" alt="SAXON-Drinks"/>
          <figcaption>
            Let's drink SAXON-<xsl:if test="fn:current-time() ge xs:time('18:00:00')"
              then="'Gin'" else="'Water'"/>!
          </figcaption>
        </figure>
      </body>
    </html>

  </xsl:template>

</xsl:stylesheet>